import 'package:cs_resources/generated/l10n.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/cupertino.dart';
import 'package:widgets/my_text_view.dart';

class ScreenOwner extends StatelessWidget {
  const ScreenOwner({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      scrollDirection: Axis.vertical,
      physics: const BouncingScrollPhysics(),
      child: Column(
        mainAxisSize: MainAxisSize.max,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          MyTextView(
            S.current.who_are_owners,
            fontSize: 23.5,
            marginTop: 25,
            isFontMedium: true,
            textColor: context.appColors.textBlack,
          ),
          MyTextView(
            S.current.owners_desc1,
            fontSize: 15,
            marginTop: 22,
            isFontMedium: true,
            textColor: context.appColors.textBlack,
          ),
          MyTextView(
            S.current.owners_desc2,
            fontSize: 15,
            marginTop: 22,
            isFontMedium: true,
            textColor: context.appColors.textBlack,
          ),
          MyTextView(
            S.current.owners_desc3,
            fontSize: 15,
            marginTop: 22,
            isFontMedium: true,
            textColor: context.appColors.textBlack,
          ),
          MyTextView(
            S.current.owners_desc4,
            fontSize: 15,
            marginTop: 22,
            isFontMedium: true,
            textColor: context.appColors.textBlack,
          ),
          MyTextView(
            S.current.owners_desc5,
            fontSize: 15,
            marginTop: 22,
            isFontMedium: true,
            textColor: context.appColors.textBlack,
          ),
        ],
      ),
    );
  }
}
